const mongoose = require('mongoose');
require('dotenv').config();

mongoose.connect(process.env.MONGODB_URI, {
	useNewUrlParser: true,
	useUnifiedTopology: true,
});

const db = mongoose.connection;
db.on('error', console.error.bind(console, 'MongoDB 連線錯誤：'));
db.once('open', () => console.log('✅ 已連線到 MongoDB'));

module.exports = mongoose;
